#1106 Cannot load database file on WIndows 8.1 preview

v1.0_(example)
closed
nobody
None
1
2015-09-24
2013-07-12
No

I have pwsafe running on various machines and the dat files shared through SkyDrive folders. pwsafe has been running well on windows 7 and windows 8, but after I upgraded to windows 8.1 (on a pc, not a windows RT surface), the program will start but when I try to load my db files, I get an error:

Internal error: Unexpected error number

I have tried both v 3.29 and 3.31, same problem

Related

Bugs: #1106

Discussion

  • Rony Shapiro

    Rony Shapiro - 2013-07-12

    Ugh. I hate it when that happens. Most likely some kind of file permission error. Can you access other files shared via SkyDrive?
    I can think of a couple of workarounds, but would much rather try to get to the bottom of this. Can you create a new PasswordSafe database on the SkyDrive folder? On a "regular" folder?
    Do you have a link where I can download an 8.1 preview ISO? I might set up a VM to play around with.

    Thanks,

    Rony

     
  • Bo Brogĺrd Lund

    You can get the preview ISOs here:
    http://windows.microsoft.com/en-us/windows-8/preview-download

    I had no problems creating a new db file, closing and reopening that. and
    after that, lo-and-behold I was also able to open the old one.. although it
    did come up with a warning:

    The database:

    C:\Users\bolund\SkyDrive\My Safes\bolund-pwsafe.psafe3

    is apparently being used by:

    The file cannot be accessed by the system.

    .

    Open the database for Read-Only, Read-Write, or Exit?

    Note: Choose "Read-Write" only if you are certain that the file isn't being
    used by anyone else,

    including another copy of Password Safe running on your machine.

    When I hit read-write, it appears to open as usual....

    So I played around with it, and I think the error only shows on that very
    first dialog as part of starting the program.
    And now that I have tried updating, changing files across the skydrive, It
    seems that even the original problem is a bit har d to repro duce, and I
    wouldn't be surprised if it wasn't because by upodating the db, maybe the
    skydrive process of pw safe was able tooverwrite the file and thus updating
    the permissions..

    PS: Ever had any thought on making a windows phone or Windows RT version of
    the program? I have, and I kind of wished what kind of libraries I woud
    need and how I could interface with the file libraries to read and interact
    with the passwords.

    Regards
    Bo

    2013/7/12 Rony Shapiro ronys@users.sf.net

    Ugh. I hate it when that happens. Most likely some kind of file permission
    error. Can you access other files shared via SkyDrive?
    I can think of a couple of workarounds, but would much rather try to get
    to the bottom of this. Can you create a new PasswordSafe database on the
    SkyDrive folder? On a "regular" folder?
    Do you have a link where I can download an 8.1 preview ISO? I might set up
    a VM to play around with.

    Thanks,

    Rony

    Status: open
    Created: Fri Jul 12, 2013 04:50 PM UTC by Bo Brogĺrd Lund
    Last Updated: Fri Jul 12, 2013 04:50 PM UTC
    Owner: nobody

    I have pwsafe running on various machines and the dat files shared through
    SkyDrive folders. pwsafe has been running well on windows 7 and windows 8,
    but after I upgraded to windows 8.1 (on a pc, not a windows RT surface),
    the program will start but when I try to load my db files, I get an error:

    Internal error: Unexpected error number

    I have tried both v 3.29 and 3.31, same problem

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/passwordsafe/bugs/1106/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

    --
    Med venlig hilsen / Greetings
    Bo Brogård Lund

     

    Related

    Bugs: #1106

  • Bo Brogĺrd Lund

    Hi

    Any updates on this? The official Windows 8.1 release is now available to
    download in the Windows Store, and I am still experiencing this.
    I suspect this could be caused by the fact that I am sharing my safes on my
    Skydrive (automatically suynced between computers). It occurs to me that
    the problem could be that pwsafe cannot open this, because another process
    is also (occasionally) accessing the file

    Regards
    Bo

    2013/7/12 Rony Shapiro ronys@users.sf.net

    Ugh. I hate it when that happens. Most likely some kind of file permission
    error. Can you access other files shared via SkyDrive?
    I can think of a couple of workarounds, but would much rather try to get
    to the bottom of this. Can you create a new PasswordSafe database on the
    SkyDrive folder? On a "regular" folder?
    Do you have a link where I can download an 8.1 preview ISO? I might set up
    a VM to play around with.

    Thanks,

    Rony

    Status: open
    Created: Fri Jul 12, 2013 04:50 PM UTC by Bo Brogĺrd Lund
    Last Updated: Fri Jul 12, 2013 04:50 PM UTC
    Owner: nobody

    I have pwsafe running on various machines and the dat files shared through
    SkyDrive folders. pwsafe has been running well on windows 7 and windows 8,
    but after I upgraded to windows 8.1 (on a pc, not a windows RT surface),
    the program will start but when I try to load my db files, I get an error:

    Internal error: Unexpected error number

    I have tried both v 3.29 and 3.31, same problem

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/passwordsafe/bugs/1106/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

    --
    Med venlig hilsen / Greetings
    Bo Brogård Lund

     

    Related

    Bugs: #1106

  • Bo Brogĺrd Lund

    I think I have figured it out.
    In Windows 8.1, the Skydrive synchronization engine has changed. on my 8.1
    box, the folder that contained my safe files were set to online-only (I
    assume it means it doesn't sync them to the local disc, but wait until a
    program requests the local file, then sync it). I assume that its this sync
    engine that has the file locked when pwsafe tried to read it.

    Anywho, I changed the folder synchronization to make the files available
    offline, and now pwsafe loads them without problems.

    Regards
    Bo

    2013/7/12 Rony Shapiro ronys@users.sf.net

    Ugh. I hate it when that happens. Most likely some kind of file permission
    error. Can you access other files shared via SkyDrive?
    I can think of a couple of workarounds, but would much rather try to get
    to the bottom of this. Can you create a new PasswordSafe database on the
    SkyDrive folder? On a "regular" folder?
    Do you have a link where I can download an 8.1 preview ISO? I might set up
    a VM to play around with.

    Thanks,

    Rony

    Status: open
    Created: Fri Jul 12, 2013 04:50 PM UTC by Bo Brogĺrd Lund
    Last Updated: Fri Jul 12, 2013 04:50 PM UTC
    Owner: nobody

    I have pwsafe running on various machines and the dat files shared through
    SkyDrive folders. pwsafe has been running well on windows 7 and windows 8,
    but after I upgraded to windows 8.1 (on a pc, not a windows RT surface),
    the program will start but when I try to load my db files, I get an error:

    Internal error: Unexpected error number

    I have tried both v 3.29 and 3.31, same problem

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/passwordsafe/bugs/1106/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

    --
    Med venlig hilsen / Greetings
    Bo Brogård Lund

     

    Related

    Bugs: #1106

  • Rony Shapiro

    Rony Shapiro - 2015-09-24

    Resolved by submitter.

     
  • Rony Shapiro

    Rony Shapiro - 2015-09-24
    • status: open --> closed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks